IPHlpAPI.FIXED_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: IPHlpAPI, class: FIXED_INFO

Package com.sun.jna.platform.win32

# Class IPHlpAPI.FIXED_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.IPHlpAPI.FIXED_INFO

Enclosing interface:
  IPHlpAPI

@FieldOrder({"HostName","DomainName","CurrentDnsServer","DnsServerList","NodeType","ScopeId","EnableRouting","EnableProxy","EnableDns"}) public static class IPHlpAPI.FIXED_INFO extends Structure
The FIXED_INFO structure contains information that is the same across all the interfaces on a computer.

See Also:
  - FIXED_INFO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `IPHlpAPI.IP_ADDR_STRING.ByReference`
  `CurrentDnsServer`
  `IPHlpAPI.IP_ADDR_STRING`
  `DnsServerList`
  `byte[]`
  `DomainName`
  `int`
  `EnableDns`
  `int`
  `EnableProxy`
  `int`
  `EnableRouting`
  `byte[]`
  `HostName`
  `int`
  `NodeType`
  `byte[]`
  `ScopeId`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FIXED_INFO()`
  `FIXED_INFO(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### HostName

    public byte[] HostName

  - ### DomainName

    public byte[] DomainName

  - ### CurrentDnsServer

    public IPHlpAPI.IP_ADDR_STRING.ByReference CurrentDnsServer

  - ### DnsServerList

    public IPHlpAPI.IP_ADDR_STRING DnsServerList

  - ### NodeType

    public int NodeType

  - ### ScopeId

    public byte[] ScopeId

  - ### EnableRouting

    public int EnableRouting

  - ### EnableProxy

    public int EnableProxy

  - ### EnableDns

    public int EnableDns

- ## Constructor Details

  - ### FIXED_INFO

    public FIXED_INFO(Pointer p)

  - ### FIXED_INFO

    public FIXED_INFO()